<?php
/**
 * @license GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
 
jimport('joomla.form.formfield');
 
class JFormFieldMenuSelection extends JFormField {
 
    protected $type = 'MenuSelection';
  
    /**
     * Adapted from administrator/components/com_modules/views/module/tmpl/edit_assignment.php (edit_assignment.php 21674 2011-06-24 22:16:09Z chdemko)
     */
    public function getInput() {
        $document = JFactory::getDocument();
        $document->addStyleSheet(JUri::root(true).'/modules'.DS.'mod_menuwithitemselection'.DS.'fields'.DS.'menuselection.css');        
        
        require_once JPATH_ADMINISTRATOR.'/components/com_menus/helpers/menus.php';
        $menuTypes = MenusHelper::getMenuLinks();
                
        $html[] = '<fieldset class="adminform">';
        $html[] = '<div id="menu-item-selection">';
        $html[] = JHtml::_('tabs.start','menu-item-selection-tabs', array('useCookie'=>1));
        
        foreach ($menuTypes as &$type) {
                $html[] = JHtml::_('tabs.panel', $type->title ? $type->title : $type->menutype, $type->menutype.'-details');

                $count = count($type->links);
                $i = 0;
                if ($count) {
                    $html[] = '    <ul class="menu-item-links">';
                    foreach ($type->links as $link) {
                        $checked = in_array($link->value, $this->value) ? ' checked="checked"' : '';
                        
                        $html[] = '    <li class="menu-item-link">';
                        $html[] = '        <input type="checkbox" class="chk-menuitemlink" name="jform[params][itemsToShow][]" value="'.(int) $link->value.'" id="itemlink'.(int) $link->value.'" '.$checked.'/>';
                        $html[] = '        <label for="link'.(int) $link->value.'">';
                        $html[] = '            '.$link->text;
                        $html[] = '        </label>';
                        $html[] = '    </li>';
                        if ($count > 20 && ++$i == ceil($count/2)) {
                            $html[] = '    </ul><ul class="menu-item-links">';
                        }
                }
                $html[] = '    </ul>';
                $html[] = '<div class="clr"></div>';
            }
        }

        $html[] = JHtml::_('tabs.end');

        $html[] = '</div>';
        $html[] = '</fieldset>';
        
        return implode("\n", $html);
    }
}
